# pub.solar Keycloak theme


## Development setup

To start a Dev Keycloak instance that can show the pub.solar theme, you need to do the following:

1. Go into Keycloak's [Administration Console](https://auth.pub.solar/admin), and export the `pub.solar` realm config. In Keycloak, open the pub.solar realm, click on the menu item "Realm settings", open the dropdown "Action", and click "Partial export". Move the generated JSON file into `./.dev-imports` in this repo.

2. Run the following command:
  ```
  docker run \
    --name keycloak-theme-dev \
    -p 8080:8080 \
    -e KEYCLOAK_ADMIN=admin \
    -e KEYCLOAK_ADMIN_PASSWORD=admin \
    -v $(pwd):/opt/keycloak/themes/pub.solar \
    -v $(pwd)/.dev-import:/opt/keycloak/data/import \
    quay.io/keycloak/keycloak:23.0.1 \
    start-dev --import-realm --features="declarative-user-profile"
  ```

3. After this, you can start and stop the container using `docker start keycloak-theme-dev` and `docker-stop keycloak-theme-dev`.

4. Connect to the local Keycloak instance at http://localhost:8080 and open the Administration Console. Login with username: `admin`, password: `admin`.

5. To view the theme in action, open http://localhost:8080/realms/pub.solar/account
