import {
  ref,
  onBeforeUnmount,
  onBeforeMount,
} from 'vue';

const x1312 = (new Array(400)).fill("0x1312").join(" ");
const getLogoNum = () => (Math.ceil(window.innerWidth / 100) * Math.ceil(window.innerHeight / 100));

import './Background.scss';
import './Logo.scss';

export default {
  setup() {
    const count = ref(getLogoNum());
    const updateCount = () => setTimeout(() => {
      count.value = getLogoNum();
    }, 10);

    onBeforeMount(() => {
      console.log('before mount');
      window.addEventListener('resize', updateCount);   
    });

    onBeforeUnmount(() => {
      console.log('before unmount');
      window.removeEventListener('resize', updateCount);   
    });

    return () => <div class="ps-background">
      <div
        id="x1312"
        class="ps-background--1312"
      >{x1312}</div>
      {(new Array(count.value)).fill(null).map(() => (
        <div class="ps-background--logo ps-logo">
          <img
            class="ps-logo--base"
            src={`${window.globals.resourceUrl}/logo.svg`}
          />
        </div>
      ))}
    </div>;
  },
};
