import Keycloak from 'keycloak-js';

export const keycloak = new Keycloak({
  url: window.location.origin,
  realm: window.globals.realm,
  clientId: window.globals.clientId,
});

export const authenticated = new Promise(async (resolve, reject) => {
  try {
    const authenticated = await keycloak.init({
      onLoad: 'check-sso',
      silentCheckSsoRedirectUri: `${location.origin}/silent-check-sso.html`,
      pkceMethod: 'S256',
    });
    console.log(`User is ${authenticated ? 'authenticated' : 'not authenticated'}`);

    resolve(authenticated);
  } catch (error) {
    console.error('Failed to initialize adapter:', error);
    reject(error);
  }
});
