import { fileURLToPath, URL } from 'node:url';

import { defineConfig } from 'vite';
import vue from '@vitejs/plugin-vue';
import vueJsx from '@vitejs/plugin-vue-jsx';

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [
    vue(),
    vueJsx(),
  ],

  resolve: {
    alias: {
      '@': fileURLToPath(new URL('./src', import.meta.url)),
    },
  },

  build: {
    outDir: '../resources',
    assetsDir: 'assets',
    manifest: true,
  },

  server: {
    proxy: {
      '/realms': 'http://localhost:8080',
      '/silent-check-sso.html': 'http://localhost:8080',
    },
  },
});
