<#import "template.ftl" as layout>
<@layout.registrationLayout displayMessage=!messagesPerField.existsError('password'); section>
  <#if section = "header">
    ${msg("doLogIn")}
  <#elseif section = "form">
        <form
          id="kc-form-login"
          class="ps-container"
          onsubmit="login.disabled = true; return true;"
          action="${url.loginAction}"
          method="post"
        >
          <div class="${properties.kcFormGroupClass!}">
            <label for="password" class="${properties.kcLabelClass!}">${msg("password")}</label>
            <input
              tabindex="2"
              id="password"
              class="${properties.kcInputClass!}"
              name="password"
              type="password"
              autocomplete="on"
              autofocus
              aria-invalid="<#if messagesPerField.existsError('password')>true</#if>"
            />
            <#if messagesPerField.existsError('password')>
              <span id="input-error-password" class="${properties.kcInputErrorMessageClass!}" aria-live="polite">
                ${kcSanitize(messagesPerField.get('password'))?no_esc}
              </span>
            </#if>
          </div>

          <div class="${properties.kcFormGroupClass!} ${properties.kcFormSettingClass!}">
            <#if realm.resetPasswordAllowed>
              <span><a tabindex="5"
                   href="${url.loginResetCredentialsUrl}">${msg("doForgotPassword")}</a></span>
            </#if>
          </div>

          <div id="kc-form-buttons" class="${properties.kcFormGroupClass!}">
            <button
              tabindex="4"
              class="${properties.kcButtonClass!} ${properties.kcButtonPrimaryClass!} ${properties.kcButtonBlockClass!} ${properties.kcButtonLargeClass!}"
              name="login"
              id="kc-login"
              type="submit"
            >
              ${msg("doLogIn")}
            </button>
          </div>
      </form>
    </div>
    </div>
  </#if>

</@layout.registrationLayout>
